Summary: Easy Enabler of VNC remote LTSP desktops
Name:	 vnc-ltsp-config
Version: 4.0
Release: 3%{?dist}

License: GPL
Group: 	 User Interface/X
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# VNC terminal service support
Source0: vncts.xinetd
# /etc/services entries
Source1: vncts.services
# Xvnc wrapper
Source2: vncts.sh
# Xvnc default options
Source3: vncts.sysconfig

Requires: vnc-server >= %{version}
Requires: xinetd

Requires(preun): chkconfig
Requires(post): perl
Requires(postun): perl

%description
Easy Enabler of VNC remote LTSP desktops.  This package contains xinetd.d
configurations that allow incoming VNC clients to open a new desktop session
with each connection.  Xvnc connects to the local server using XDMCP.


%prep
%setup -c -T


%install
rm -rf $RPM_BUILD_ROOT

install -D -p -m644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/vncts
install -D -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/vnc/vncts.services
install -D -p -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/vncts
install -D -p -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vncts


%files
%defattr(-,root,root)
%config %{_sysconfdir}/xinetd.d/vncts
%{_datadir}/vnc/vncts.services
%{_bindir}/vncts
%config(noreplace) %{_sysconfdir}/sysconfig/vncts


%post
if [ ! "`grep ^vnc-1024x768x16 %{_sysconfdir}/services`" ]; then
  cat %{_datadir}/vnc/vncts.services >> %{_sysconfdir}/services ||:
fi

%preun
if [ $1 -eq 0 ]; then
  # turn off now, to avoid running in middle of uninstall
  /sbin/chkconfig vncts off ||:
fi

%postun
if [ $1 -eq 0 ]; then
  ## cleanup services
  # method1: grep
  # grep -v -e '^vnc-............59../tcp' %{_sysconfdir}/services > %{_sysconfdir}/services.%{name} && \
  #mv -f %{_sysconfdir}/services.%{name} %{_sysconfdir}/services
  # method2: perl
  perl -ni -e 'print if ! /^vnc-............59..\/tcp/' %{_sysconfdir}/services ||:
  # method3: sed ??
  # sed -i -e "s@^vnc-............59../tcp@@" services
  exit 0
else
  # Make sure xinetd picks up changes
  /sbin/service xinetd reload >/dev/null 2>&1 ||:
fi


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Oct 1 2004 Rex Dieter <rexdieter at sf.net> 0:4.0-0.fdr.2
- in-place modification of services using perl

* Tue Sep 14 2004 Rex Dieter <rexdieter at sf.net> 0:4.0-0.fdr.1
- update for vnc-4.0 (and make version match)
- rename xinetd.d service vnc -> vncts
- use vncts wrapper, so we can set global/default options (/etc/sysconfig/vncts)
- add '-fp unix/:7100' to default Xvnc options (in /etc/sysconfig/vncts)
- cleanup on uninstall.

* Fri Apr 26 2003 Warren Togami <warren@togami.com> - 0:0.0.1-2.fdr.1
- Convert and cleanup from K12LTSP

